print.xgb.DMatrix {xgboost} | R Documentation

## Print xgb.DMatrix

### Description

Print information about xgb.DMatrix. Currently it displays dimensions and presence of info-fields and colnames.

### Usage

    ## S3 method for class 'xgb.DMatrix'
    print(x, verbose = FALSE, ...)

### Arguments

`x` | an xgb.DMatrix object
`verbose` | whether to print colnames (when present)
`...` | not currently used

### Examples

    data(agaricus.train, package='xgboost')
    train <- agaricus.train
    dtrain <- xgb.DMatrix(train$data, label=train$label)

    dtrain
    print(dtrain, verbose=TRUE)

[Package xgboost version 0.90.0.2 Index]